/*
 Theme Name: Divi Child
 Theme URI: https://www.elegantthemes.com/gallery/divi/
 Description: Divi Child Theme
 Author: Elegant Themes
 Author URI: https://www.elegantthemes.com
 Template: Divi
 Version: 1.0.0
*/
 
/* =Theme customization starts here
------------------------------------------------------- */
/************************************************** FONTES*****************************************************/
h3 {
	padding-top:1em;
}
.footer_h3 h3{
	padding-top:0;
}

sup, sub{
  font-size: 70%;
}

/*************************************************** BOUTONS**************************************************/
.bouton_degrade{
    background-size: 300% 300%;
    border-radius: 50px;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}
.bouton_degrade:hover {
    background-position: 100% 0;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}
.btn-couleur1{
    background-image:
linear-gradient(to top, var(--gcid-im5qy9h5ix), #29c4a9, var(--gcid-im5qy9h5ix), var(--gcid-w20pkx26u9)) !important;
}

/********************************************** MENU EN-TETE******************************************************/
/* Extend dropdown links full-width */
.avocate_menu .nav li li,  .et_mobile_menu, .et_mobile_menu li ul {
    padding: 0;
    min-width: 100%;
}
.avocate_menu .nav li li a {
    min-width: 100%;
}
/* Change the dropdown links font */
.avocate_menu .nav li li a {
    text-transform:none;
  	color:white !important;
}
.avocate_menu.nav li ul.sub-menu a {
    text-transform:none;
  	color:white !important;
}
.et_pb_menu_0_tb_header.et_pb_menu .nav li ul.sub-menu a {
  	color:white !important;
}
/* Change the dropdown links hover effect */
.avocate_menu.et_pb_module.et_pb_menu .nav li li a {
    transition: all .3s ease-in-out;
}
.avocate_menu.et_pb_module.et_pb_menu .nav li li a:hover {
    background:var(--gcid-mz6prwsb1a);
    opacity:1;
    padding-left:28px;
}

.sub-menu li a{
    text-transform: none !important;
}



/******************************************************MENU MOBILE*********************************************************/
/*change hamburger icon to x when mobile menu is open*/
#et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before,
.et_pb_module.et_pb_menu .et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before {
	content: '\4d';
}
/*adjust the new toggle element which is added via jQuery*/
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle {
	width: 44px;
	height: 100%;
	padding: 0px !important;
	max-height: 44px;
	border: none;
	position: absolute;
	right: 0px;
	top: 0px;
	z-index: 999;
	background-color: transparent;
}
/*some code to keep everyting positioned properly*/
ul.et_mobile_menu>li.menu-item-has-children,
ul.et_mobile_menu>li.page_item_has_children,
ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children {
	position: relative;
}
/*remove default background color from menu items that have children*/
.et_mobile_menu .menu-item-has-children>a,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children>a {
	background-color: transparent;
}
/*hide the submenu by default*/
ul.et_mobile_menu .menu-item-has-children .sub-menu,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu {
	display: none !important;
	visibility: hidden !important;
}
/*show the submenu when toggled open*/
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible {
	display: block !important;
	visibility: visible !important;
}
/*adjust the toggle icon position and transparency*/
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle {
	text-align: center;
	opacity: 1;
}
/*submenu toggle icon when closed*/
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
    top: 10px;
    position: relative;
    font-family: "ETModules";
    content: '\33';
    color: #ffffff;
    border-radius: 50%;
    padding: 3px;
    font-size: 2em;
}

/*submenu toggle icon when open*/
ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after {
	content: '\32';
}
/*add point on top of the menu submenu dropdown*/
.et_pb_menu_0.et_pb_menu .et_mobile_menu:after {
	position: absolute;
	right: 5%;
	margin-left: -20px;
	top: -14px;
	width: 0;
	height: 0;
	content: '';
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-bottom: 20px solid #ffffff;
}
/*adjust the position of the hamburger menu*/
.mobile_menu_bar {
	position: relative;
	display: block;
	line-height: 0;
}
/*force the background color and add a rounded border*/
.et_pb_menu_0.et_pb_menu .et_mobile_menu,
.et_pb_menu_0.et_pb_menu .et_mobile_menu ul {
	background-color: #ffffff!important;
	border-radius: 10px;
}
.et_mobile_menu .menu-item-has-children .sub-menu{
display: none !important;
}

.pa-block{
display: block !important;
height: fit-content !important;
padding-top: 0 !important;
margin-top: 0 !important;
padding: 5% !important;
margin-bottom: 0 !important;
margin-top: 0 !important;
}

.et_mobile_menu .menu-item-has-children .pa-submenu{
display: block !important;
}

.opened .et_mobile_menu{
height: fit-content !important;
padding: 5% !important;
}

.avocate_menu .et_mobile_menu
{
right: 0;
left: auto!important;
width: 300%;
}

@media (max-width: 480px){.avocate_menu .et_mobile_menu{width: 500%;}}

.avocate_menu .et_mobile_menu a{
line-height:1.2em!important;
}

.avocate_menu li ul li:hover{
background-color: var(--gcid-mz6prwsb1a);
}

.avocate_menu .et_mobile_menu li li a:hover {
    background: var(--gcid-mz6prwsb1a);
    opacity:1;
}

.avocate_menu li:hover{
background-color: var(--gcid-mz6prwsb1a);
}

ul.et_mobile_menu li.menu-item-has-children .mobile-toggle, .et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle{
    	    text-align: right;
    	    width: 100%;
    }


/************************************************PIED DE PAGE*************************************************/
.menu_pieddepage .et-menu.nav > li {
    display: block;
    width: 100%;
}
@media (max-width: 980px) {
    .menu_pieddepage #et_mobile_nav_menu, .menu_pieddepage .et_mobile_nav_menu {
        display: none !important;
    }
    .menu_pieddepage #top-menu, .menu_pieddepage .et_pb_menu__menu {
        display: block !important;
    }
}


/*************************************************Carrieres**************************************************/

.avocate_gatineau_taches, .avocate_gatineau_qualites, .avocate_gatineau_emploi{
    padding-left:3em !important;
}
.avocate_gatineau_taches li, .avocate_gatineau_qualites li, .avocate_gatineau_emploi li{
    padding-left:1em;
}
.avocate_gatineau_taches li::marker {
  content: "\2714 "; /* Adds a checkmark character and a space */
  font-size:150%;
  color: var(--gcid-im5qy9h5ix);
}

.avocate_gatineau_qualites li::marker {
  content: "\2B50 "; /* Adds a star character and a space */
  color: gold;
}

.avocate_gatineau_emploi li::marker {
    content: "\002b "; /* Adds a plus character and a space */
    font-size: 170%;
    color: var(--gcid-w20pkx26u9);
    font-weight: 900;
}

/*************************************************Page Domaines*************************************************/
.domaines_page_parent #titre_dynamique_domaines{
display:none;
}

/*Menu page Domaines*/
.menu_domaines ul li{
width:100%;
transition: background-color 0.3s ease;
}

.menu_domaines ul li a{
padding-left:1em;
padding-right:1em;
width:100%;
}

.menu_domaines ul li a:after {
  position: absolute;
  display: block;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

.menu_domaines ul li:hover{
background-color: var(--gcid-w20pkx26u9);
}

.menu_domaines ul li:hover a{
  padding-left:28px;
  color:white;
}

.menu_domaines .mobile_menu_bar {
  display: none !important;
}

#menu-menu_domaines{
margin-left: 0 !important;
margin-right: 0 !important;
}

@media (max-width: 980px){
.menu_domaines .et_pb_menu__menu {
  display: block;
  text-align: left; 
}
}
.contenu_domaines ul {
  list-style-type: none; /* Removes default bullets */
  padding-top:20px
}
.contenu_domaines ul li{
  padding-bottom: 20px;
  padding-left: 10px;
}

.contenu_domaines ul li::marker {
  content: "\2B50 "; /* Adds a star character and a space */
  /* You can change the color using the 'color' property here */
  color: gold;
}
/*************************************************À propos*************************************************/

/*************************************************Blogue*************************************************/
.boutonretourArticle{
  width: 100% !important;
}

.blogueAvocate .et_pb_post {
  position: relative;
  overflow: hidden;
}

.blogueAvocate .et_pb_post .entry-title a:after {
  position: absolute;
  display: block;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

.blogueAvocate .et_pb_post:hover {
  cursor: pointer;
}

/* 2. Trigger the 5% image zoom on container hover */
.blogueAvocate .et_pb_post:hover .entry-featured-image-url img {
    transform: scale(1.05);
    transition: transform 0.5s ease;
}

/* Smooth return transition */
.blogueAvocate .entry-featured-image-url img {
    transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}

/*************************************************Nous joindre*************************************************/
.logo_contact span img {
    width: 100% !important;
}

/*************************************************Formulaires CF7*************************************************/
/* Styles configuration */
:root {
    --cf7-font: inherit;
    --cf7-font-size: 16px;
    --cf7-font-weight: 500;
    --cf7-labels: #5a6e81;
    --cf7-input-text: #8CA3B9;
    --cf7-accent: #2d8cff;
    --cf7-accent-hover: #247de9;
    --cf7-accent-outline: #b9d9ff;
    --cf7-accent-text: #ffffff;
    --cf7-warning: #ea4845;
    --cf7-warning-bg: color-mix(in srgb, #ea4845 75%, transparent);
    --cf7-success: #29c4a9;
    --cf7-success-bg: color-mix(in srgb, #29c4a9 75%, transparent);
}
/* General Settings */
.wpcf7 {
    font-family: var(--cf7-font);
    font-weight: var(--cf7-font-weight);
    width: 100% !important;
}
.wpcf7 label {
    color: var(--cf7-labels);
}
.wpcf7-list-item {
    margin-left: 0 !important;
    margin-right: 15px !important;
}
.wpcf7 a {
    color: var(--cf7-accent) !important;
    text-decoration: none;
}
.wpcf7 a:hover {
    color: var(--cf7-accent-hover) !important;
}
/* General Inputs */
.wpcf7 input[type=color],
.wpcf7 input[type=date],
.wpcf7 input[type=datetime-local],
.wpcf7 input[type=datetime],
.wpcf7 input[type=email],
.wpcf7 input[type=month],
.wpcf7 input[type=number],
.wpcf7 input[type=search],
.wpcf7 input[type=tel],
.wpcf7 input[type=text],
.wpcf7 input[type=time],
.wpcf7 input[type=url],
.wpcf7 input[type=week],
.wpcf7 textarea
{
    border: 1px solid #D5E0EB;
	background-color: #ffffff;
	border-radius: 6px;
    line-height: 1.3;
    padding: .375rem .75rem;
    color: var(--cf7-input-text);
    min-height: 35px;
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
    width: 100%;

}
/* Other Inputs */
.wpcf7 input[type=submit] {
    background-color: var(--cf7-accent);
    color: var(--cf7-accent-text);
    border: 0;
    padding: 15px 30px;
    border-radius: 6px;
    font-size: var(--cf7-font-size);
    font-family: var(--cf7-font);
    transition: .2s linear;
}
.wpcf7 input:hover[type=submit] {
    background-color: var(--cf7-accent-hover);
    transition: .2s linear;
    cursor: pointer;
}
.wpcf7 input:focus[type=submit] {
    background-color: var(--cf7-accent-hover);
    outline: none;
    border: 0;
    box-shadow: 0 0 0 3px var(--cf7-accent-outline);
}
.wpcf7 input[type=file] {
    color: var(--cf7-input-text);
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
}
.wpcf7 input:focus[type=file] {
    outline: none;
    border: 0;
}
.wpcf7 input[type=file]::file-selector-button,
.wpcf7 select
{
    border: 1px solid #D5E0EB;
    background-color: #ffffff;
    border-radius: 6px;
    line-height: 1.3;
    padding: 0.7rem 1rem;
    color: var(--cf7-input-text);
    min-height: 35px;
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
}
.wpcf7 input[type=file]::file-selector-button {
    cursor: pointer;
    margin-right: 20px;
}
/* Custom Checkbox */
.wpcf7 input[type="checkbox"] {
    -webkit-appearance: none;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid var(--cf7-accent);
    border-radius: 6px;
    margin: 0;
    display: grid;
    place-content: center;
    cursor: pointer;
}
.wpcf7 input[type="checkbox"]:before {
    content: "\f147";
    font-family: 'dashicons';
    font-weight: 300;
    font-size: 15px;
    line-height: 17px;
    width: 18px;
    height: 18px;
    color: white;
    text-align: center;
    border-radius: 6px;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 20px 20px var(--cf7-accent);
}
.wpcf7 input[type="checkbox"]:checked::before {
    transform: scale(1);
}
.wpcf7-checkbox label,
.wpcf7-acceptance label,
.wpcf7-radio label {
    display: flex;
    align-items: center;
    gap: 10px;
}
/* Custom Radio */
.wpcf7 input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: transparent;
    margin: 0;
    font: inherit;
    color: var(--cf7-accent);
    width: 18px;
    height: 18px;
    border: 2px solid var(--cf7-accent);
    border-radius: 100%;
    display: grid;
    place-content: center;
    cursor: pointer;
}
.wpcf7 input[type="radio"]::before {
    content: "";
    width: 10px;
    height: 10px;
    border-radius: 100%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--cf7-accent);
}
.wpcf7 input[type="radio"]:checked::before {
    transform: scale(1);
}
/* Other States */
.wpcf7 input:hover[type=color],
.wpcf7 input:hover[type=date],
.wpcf7 input:hover[type=datetime-local],
.wpcf7 input:hover[type=datetime],
.wpcf7 input:hover[type=email],
.wpcf7 input:hover[type=month],
.wpcf7 input:hover[type=number],
.wpcf7 input:hover[type=search],
.wpcf7 input:hover[type=tel],
.wpcf7 input:hover[type=text],
.wpcf7 input:hover[type=time],
.wpcf7 input:hover[type=url],
.wpcf7 input:hover[type=week],
.wpcf7 input:hover[type=file]::file-selector-button,
.wpcf7 textarea:hover,
.wpcf7 select:hover
{
    border: 1px solid #92ACC7;
    outline: none;
    background-color: #ffffff;
    font-size: var(--cf7-font-size);
}
.wpcf7 input:focus[type=color],
.wpcf7 input:focus[type=date],
.wpcf7 input:focus[type=datetime-local],
.wpcf7 input:focus[type=datetime],
.wpcf7 input:focus[type=email],
.wpcf7 input:focus[type=month],
.wpcf7 input:focus[type=number],
.wpcf7 input:focus[type=search],
.wpcf7 input:focus[type=tel],
.wpcf7 input:focus[type=text],
.wpcf7 input:focus[type=time],
.wpcf7 input:focus[type=url],
.wpcf7 input:focus[type=week],
.wpcf7 input:focus[type="checkbox"],
.wpcf7 textarea:focus,
.wpcf7 select:focus,
.wpcf7 a:focus
{
    border: 1px solid #92ACC7;
    outline:none;
    box-shadow: 0 0 0 3px var(--cf7-accent-outline);
    background-color: #ffffff;
}
/* Invalid Fields */
.wpcf7-not-valid-tip {
    color: var(--cf7-warning) !important;
    font-size: var(--cf7-font-size) !important;
    font-weight: var(--cf7-font-weight) !important;
}
.wpcf7-not-valid:not(input[type=file]):not(span){
    border-color: var(--cf7-warning) !important;
    background-color: #FFFAFA !important;
}
.wpcf7 input:disabled[type=submit],
.wpcf7 input:disabled[type=submit]:hover
{
    color: #ffffff;
    background-color: var(--cf7-warning);
    border:0;
    cursor: not-allowed;
}
/* Response Messages */
.wpcf7 form.init .wpcf7-response-output {
    display: none;
}
.wpcf7 form .wpcf7-response-output { /* Default */
    margin: 15px 0 !important;
    padding: 10px 20px !important;
    border: 0 !important;
    border-radius: 6px !important;
}
.wpcf7 form.sent .wpcf7-response-output { /* Success */
    background-color: var(--cf7-success-bg) !important;
    color: white !important;
    border: 0 !important;
}
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output,
.wpcf7 form.spam .wpcf7-response-output,
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output{ /* Failed */
    background-color: var(--cf7-warning-bg) !important;
    color: white !important;
    border: 0 !important;
}
.wpcf7-submit{
    padding: 0.9em 2em;
    font-size: 1em;
    font-weight: 700;
    color: white;
    background-image: linear-gradient(180deg, var(--gcid-im5qy9h5ix) 0%, #29c4a9 100% 100%);
    border-bottom-left-radius: 35px;
    border-bottom-right-radius: 35px;
    border-top-left-radius: 35px;
    border-top-right-radius: 35px;
    border: none;
    cursor:pointer;
}
